%global git_tag LAUNCHBAR_2_2_1

# Set this to avoid building remote launching bundles to eliminate
# a circular dep on CDT->launchbar->remote->CDT
%bcond_without remote

Epoch:          1
Name:           eclipse-launchbar
Version:        2.2.1
Release:        1%{?dist}
Summary:        Eclipse Launchbar plug-in
License:        EPL
URL:            https://wiki.eclipse.org/CDT/LaunchBar

Source0:        http://git.eclipse.org/c/cdt/org.eclipse.launchbar.git/snapshot/org.eclipse.launchbar-%{git_tag}.tar.xz

BuildArch:      noarch

BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde
BuildRequires: eclipse-license
%if %{with remote}
BuildRequires: eclipse-remote
%endif

Requires: eclipse-platform

%description
An alternative to the default launcher toolbar in Eclipse.

%prep
%setup -q -n org.eclipse.launchbar-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

# No need to create update site/p2 repo for RPM builds
%pom_disable_module repo

# Disable tests for now
%pom_disable_module tests/org.eclipse.launchbar.core.tests
%pom_disable_module tests/org.eclipse.launchbar.ui.tests

%if %{without remote}
%pom_disable_module bundles/org.eclipse.launchbar.remote.core
%pom_disable_module bundles/org.eclipse.launchbar.remote.ui
%pom_disable_module features/org.eclipse.launchbar.remote
%endif

# No parent poms
%mvn_package "::pom::" __noinstall

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles

%changelog
* Tue Jul 31 2018 Mat Booth <mat.booth@redhat.com> - 1:2.2.1-1
- Update to latest upstream version

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 21 2018 Mat Booth <mat.booth@redhat.com> - 1:2.2.0-3
- Update to snapshot containing upstreamed patch

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 12 2018 Mat Booth <mat.booth@redhat.com> - 1:2.2.0-1
- Update to latest upstream release
- Drop upstreamed patch

* Mon Sep 18 2017 Mat Booth <mat.booth@redhat.com> - 1:2.1.2-2
- Synchronize access to listeners list in LaunchTargetManager

* Mon Sep 18 2017 Mat Booth <mat.booth@redhat.com> - 1:2.1.2-1
- Update to Oxygen.1 release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.1.1-0.3.gitff9289d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 19 2017 Mat Booth <mat.booth@redhat.com> - 1:2.1.1-0.2.gitff9289d
- Allow conditionally building against eclipse-remote

* Sat Jun 17 2017 Mat Booth <mat.booth@redhat.com> - 1:2.1.1-0.1.gitff9289d
- Update to Oxygen snapshot

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 16 2017 Jeff Johnston <jjohnstn@redhat.com> - 1:2.1.0-1
- Update to Neon.2 release
- Remove javax.annotation patch

* Tue Oct 04 2016 Mat Booth <mat.booth@redhat.com> - 1:2.0.1-1
- Update to Neon.1 release

* Mon Apr 25 2016 Sopot Cela <scela@redhat.com> - 1:2.0.0-0.1.git1f95c6c
- Upstream version correction

* Mon Apr 25 2016 Sopot Cela <scela@redhat.com> - 1:1.0.1-2.git1f95c6c
- Upgrade for Neon

* Thu Mar 10 2016 Mat Booth <mat.booth@redhat.com> - 1:1.0.1-1.gitedd5f69
- Take a post-release snapshot of 1.0.1 due to API breakage in newer versions

* Thu Mar 03 2016 Sopot Cela <scela@redhat.com> - 1.0.2-0.1.git93cdb07
- Updated to 1.0.2 for Mars.2 release

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-0.2.git3c10977
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Sep 29 2015 Sopot Cela <scela@redhat.com> - 1.0.1-0.1.git3c10977
- Updated to 1.0.1 for Mars.1 release

* Wed Jul 15 2015 Sopot Cela <scela@redhat.com> - 1.0.0-0.3.gite1ac200
- Added javax.annotation patch

* Tue Jun 16 2015 Alexander Kurtakov <akurtako@redhat.com> 1.0.0-0.2.git01bfa62
- New snapshot

* Wed Jun 3 2015 Sopot Cela <scela@redhat.com> - 1.0.0-0.1.gite1ac200
- Initial packaging
